#
# spec file for package exa
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           exa
Version:        0.8.0
Release:        lp150.1.9
Summary:        Replacement for ls written in Rust
License:        MIT
Group:          System/Base
Url:            https://the.exa.website/
Source0:        https://github.com/ogham/exa/archive/v%{version}.tar.gz
Source1:        vendor.tar.xz
BuildRequires:  cargo
BuildRequires:  cmake
BuildRequires:  git
BuildRequires:  pkgconfig
BuildRequires:  rust
BuildRequires:  rust-std
BuildRequires:  pkgconfig(zlib)

%description
exa is a replacement for ls written in Rust.
With similar but not identical options.

%prep
%setup -q
%setup -q -D -T -a 1
mkdir cargo-home
cat >cargo-home/config <<EOF

[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'
[source.vendored-sources]
directory = './vendor'
EOF

%build
export CARGO_HOME=`pwd`/cargo-home/
cargo build --release %{?_smp_mflags}

%install
mkdir build
export CARGO_HOME=`pwd`/cargo-home/
cargo install --root=build
mkdir -p %{buildroot}%{_bindir}
install -Dm0755 build/bin/exa %{buildroot}%{_bindir}/exa

%files
%license LICENCE
%doc README.md
%{_bindir}/exa

%changelog
* Sun Oct 22 2017 luke.nukem.jones@gmail.com
- Update to v0.8.0
- Additions
  + Use completely new, less strict, more friendly options parser (b5bcf22)
  + Add a strict mode, for when you want to check your options (97d1472)
  + Add EXA_GRID_ROWS that makes --long --grid a bit more palatable (e933fa6)
  + Add EXA_DEBUG for logging information (e0727a1)
  + Add LS_COLORS parsing and colouring (adfee28, aa2e3a5)
  + Add EXA_COLORS parsing and colouring, which overrides the above (075fe80, aa2e3a5)
  +Initial support for a --git-ignore flag (827aa8b)
- Changes
  + Default to sorting case-insensitively (57c647f)
  + Hide xattr errors unless xattrs were explicitly asked for (5189d66)
  + Add orf and nef file types (40ce7ba)
  + Add bk file type (eda3e56)
  + Only check the terminal width of stdout, not stdin and stderr (4289f4d)
  + Sorting by date now has new and old convenience aliases (f55bd6d)
  + Use only verified published crates, so exa can be on crates.io (1efb8a5)
- Fixes
  + Use a patched version of libgit2 to prevent that libhttp_parser error (3405db1)
  + Fix bug where --tree --all didn't work (a2cd39e)
  + Fix bug where ISO dates were long when they should be short and vice versa (fca5b6b)
  + Fix bug where month name padding made the whole table look weird (999c9d5)
* Fri Aug  4 2017 mvetter@suse.com
- Create initial package for version 0.7.0
